OCTBOOT(4)

NAME
octboot - kernel boot interface

SYNOPSIS
pseudo-device octboot

DESCRIPTION
The octboot driver provides an ioctl(2) interface for booting into another kernel from the currently running kernel.

IOCTL INTERFACE
octboot provides the following ioctl(2) commands, available through <machine/octboot.h>:

OBIOC_GETROOTDEV char rootdev[PATH_MAX]
    Get the name of the current root device.

OBIOC_KEXEC struct octboot_kexec_args *args
    Boot into the given kernel image.

        struct octboot_kexec_args {
        	char		*kimg;
        	size_t		 klen;
        	char		*argv[OCTBOOT_MAX_ARGS];
        };

FILES
/dev/octboot
    boot interface device.

SEE ALSO
ioctl(2), intro(4)

HISTORY
The octboot driver first appeared in OpenBSD 6.6.